/*	
 *	iomem.h
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 14 00:00:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __IOMEM_H__
#define __IOMEM_H__

/* SOUND */
#define BLKN		16		/* obt@ij */

#define IOMEM_SIZE	0x10000		/* 0x0040000`0x004ffff */
typedef struct _IOMEM {
	unsigned char mem[IOMEM_SIZE];
	/* SOUND */
	HWAVEOUT hwo;
	WAVEHDR wh[BLKN];
} IOMEM;
extern IOMEM iomem;

#define IOOFS(p)	((unsigned)(p) - (unsigned)&iomem.mem[0])

void iomem_init();
void iomem_work();

int iomem_read(unsigned ofs, int size);
void iomem_write(unsigned ofs, int data, int size);

int iomem_read_default(unsigned ofs, int size);
void iomem_write_default(unsigned ofs, int data, int size);

#endif /*__IOMEM_H__*/
