/*	
 *	lcdc.h
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 16 05:06:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __LCDC_H__
#define __LCDC_H__

/****************************************************************************
 *
 ****************************************************************************/

#define DISP_X		128
#define DISP_Y		 88

/****************************************************************************
 *
 ****************************************************************************/

typedef struct _LCDC {
	unsigned char vram[16][256];
	int page;	/* 0` 15 */
	int col2;	/* 0`255 */
} LCDC;
extern LCDC lcdc;

/****************************************************************************
 *
 ****************************************************************************/

void lcdc_init();
#define lcdc_work	NULL

void lcdc_write(unsigned char data);

void lcdc_conv(unsigned char bits[DISP_Y][DISP_X]);

#endif /*__LCDC_H__*/
